/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-rm4sfteg5h] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-rm4sfteg5h] {
    flex: 1;
}

.sidebar[b-rm4sfteg5h] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-rm4sfteg5h] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-rm4sfteg5h]  a, .top-row[b-rm4sfteg5h]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-rm4sfteg5h]  a:hover, .top-row[b-rm4sfteg5h]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-rm4sfteg5h]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-rm4sfteg5h] {
        justify-content: space-between;
    }

    .top-row[b-rm4sfteg5h]  a, .top-row[b-rm4sfteg5h]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-rm4sfteg5h] {
        flex-direction: row;
    }

    .sidebar[b-rm4sfteg5h] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-rm4sfteg5h] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-rm4sfteg5h]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-rm4sfteg5h], article[b-rm4sfteg5h] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-lltumjpsgn] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-lltumjpsgn] {
    min-height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-lltumjpsgn] {
    font-size: 1.1rem;
}

.bi[b-lltumjpsgn] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-lltumjpsgn] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-lltumjpsgn] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-lltumjpsgn] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-lltumjpsgn] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-lltumjpsgn] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-lltumjpsgn] {
        padding-bottom: 1rem;
    }

    .nav-item[b-lltumjpsgn]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-lltumjpsgn]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-lltumjpsgn]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-lltumjpsgn] {
        display: none;
    }

    .collapse[b-lltumjpsgn] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }

    .nav-scrollable[b-lltumjpsgn] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* /Pages/Board.razor.rz.scp.css */
div[b-cbh25o9826] {
    position: relative
}

nav[b-cbh25o9826] {
    top: 4em;
    width: 30em;
    display: inline-flex;
    flex-direction: row;
    margin-left: 10px
}

    nav span[b-cbh25o9826] {
        width: 4em;
        text-align: center;
        cursor: pointer;
        font-size: 1em
    }

div.board[b-cbh25o9826] {
    margin-top: 1em;
    flex-wrap: wrap;
    width: 30em;
    height: 24em;
    overflow: hidden;
    display: inline-flex;
    flex-direction: row;
    flex-wrap: wrap;
    z-index: -5;
    row-gap: 0;
    pointer-events: none;
    border-left: 10px solid var(--board-bg)
}

span.container[b-cbh25o9826] {
    width: 4em;
    height: 4em;
    margin: 0;
    padding: 4px;
    overflow: hidden;
    background-color: transparent;
    position: relative;
    z-index: -2;
    pointer-events: none
}

.container span[b-cbh25o9826] {
    width: 3.5em;
    height: 3.5em;
    border-radius: 50%;
    box-shadow: 0 0 0 3em var(--board-bg);
    left: 0;
    position: absolute;
    display: block;
    z-index: 5;
    pointer-events: none
}

.player1[b-cbh25o9826], .player2[b-cbh25o9826] {
    width: 3.5em;
    height: 3.5em;
    border-radius: 50%;
    left: 0;
    top: 0;
    position: absolute;
    display: block;
    z-index: -8
}

.player1[b-cbh25o9826] {
    background-color: var(--player1);
    animation-timing-function: cubic-bezier(.5,.05,1,.5);
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    box-shadow: 0 0 0 4px var(--player1)
}

.player2[b-cbh25o9826] {
    background-color: var(--player2);
    animation-timing-function: cubic-bezier(.5,.05,1,.5);
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    box-shadow: 0 0 0 4px var(--player2)
}

.col0[b-cbh25o9826] {
    left: calc(0em + 9px)
}

.col1[b-cbh25o9826] {
    left: calc(4em + 9px)
}

.col2[b-cbh25o9826] {
    left: calc(8em + 9px)
}

.col3[b-cbh25o9826] {
    left: calc(12em + 9px)
}

.col4[b-cbh25o9826] {
    left: calc(16em + 9px)
}

.col5[b-cbh25o9826] {
    left: calc(20em + 9px)
}

.col6[b-cbh25o9826] {
    left: calc(24em + 9px)
}

.drop1[b-cbh25o9826] {
    animation-duration: 1s;
    animation-name: drop1-b-cbh25o9826
}

.drop2[b-cbh25o9826] {
    animation-duration: 1.5s;
    animation-name: drop2-b-cbh25o9826
}

.drop3[b-cbh25o9826] {
    animation-duration: 1.6s;
    animation-name: drop3-b-cbh25o9826
}

.drop4[b-cbh25o9826] {
    animation-duration: 1.7s;
    animation-name: drop4-b-cbh25o9826
}

.drop5[b-cbh25o9826] {
    animation-duration: 1.8s;
    animation-name: drop5-b-cbh25o9826
}

.drop6[b-cbh25o9826] {
    animation-duration: 1.9s;
    animation-name: drop6-b-cbh25o9826
}

@keyframes drop1-b-cbh25o9826 {
    100%,75%,90%,97% {
        transform: translateY(1.27em)
    }

    80% {
        transform: translateY(.4em)
    }

    95% {
        transform: translateY(.8em)
    }

    99% {
        transform: translateY(1em)
    }
}

@keyframes drop2-b-cbh25o9826 {
    100%,75%,90%,97% {
        transform: translateY(5.27em)
    }

    80% {
        transform: translateY(3.8em)
    }

    95% {
        transform: translateY(4.6em)
    }

    99% {
        transform: translateY(4.9em)
    }
}

@keyframes drop3-b-cbh25o9826 {
    100%,75%,90%,97% {
        transform: translateY(9.27em)
    }

    80% {
        transform: translateY(7.2em)
    }

    95% {
        transform: translateY(8.3em)
    }

    99% {
        transform: translateY(8.8em)
    }
}

@keyframes drop4-b-cbh25o9826 {
    100%,75%,90%,97% {
        transform: translateY(13.27em)
    }

    80% {
        transform: translateY(10.6em)
    }

    95% {
        transform: translateY(12em)
    }

    99% {
        transform: translateY(12.7em)
    }
}

@keyframes drop5-b-cbh25o9826 {
    100%,75%,90%,97% {
        transform: translateY(17.27em)
    }

    80% {
        transform: translateY(14em)
    }

    95% {
        transform: translateY(15.7em)
    }

    99% {
        transform: translateY(16.5em)
    }
}

@keyframes drop6-b-cbh25o9826 {
    100%,75%,90%,97% {
        transform: translateY(21.27em)
    }

    80% {
        transform: translateY(17.4em)
    }

    95% {
        transform: translateY(19.4em)
    }

    99% {
        transform: translateY(20.4em)
    }
}
